import * as fs from "node:fs"
import logger from "@common/logger"

// TODO move to common
export function createDirIfMissing(directory: string): void {
  if (!fs.existsSync(directory)) {
    logger.info(`Missing '${directory}', creating...`)
    fs.mkdirSync(directory, { recursive: true })
  }
}
